package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.DisputedConditionDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface DisputedMapper {

    List<Map> count(@Param("dto") DisputedConditionDto dto);

    Page<Map> queryWorkInfo(Page page,@Param("dto")  DisputedConditionDto dto);

    List<Map> queryWorkInfo(@Param("dto")  DisputedConditionDto dto);

/*    Page<Map> queryInfo(Page page, @Param("dto") DisputedConditionDto dto);

    List<Map> queryInfo(@Param("dto") DisputedConditionDto dto);*/

    List<Map> queryDisPutInfo(@Param("dto") DisputedConditionDto dto);


}
